Subject: Re: bug#24401:

From: Clément Pit--Claudel <[email-masked]>
Date: Tue, 29 Nov 2016 15:27:04 -0500

On 2016-11-29 12:21, Clément Pit--Claudel wrote:
> On 2016-11-29 11:38, Davor Rotim wrote:
>> While trying out the latest pretest this issue doesn't seem to be fixed.
>>
>> GNU Emacs 25.1.90.1 (x86_64-unknown-linux-gnu, X toolkit, Xawscrollbars) of 2016-11-29
>> Python 3.5.2
>>
>> Steps to reproduce:
>>
>> Start with emacs -Q and M-x run-python, the warning will still appear:
>>
>> Warning (python): Your ‘python-shell-interpreter’ doesn’t seem to support readline, yet ‘python-shell-completion-native’ was t and "python" is not part of the ‘python-shell-completion-native-disabled-interpreters’ list.  Native completions have been disabled locally.
>>
>> Pressing TAB will also insert spaces instead of showing completions.

Hmm. I can't reproduce this here (I just built from the archive).  I start with

    $ src/emacs -Q --eval '(setq python-shell-interpreter "python3")'

Then I run 'M-x run-python (Python 3.5.2 (default, Nov 17 2016, 17:05:23))'; I don't get a warning.

Can you try `M-x find-function python-shell-completion-native-try' and confirm that it shows this:

(defun python-shell-completion-native-try ()
  "Return non-nil if can trigger native completion."
  (let ((python-shell-completion-native-enable t)
        (python-shell-completion-native-output-timeout
         python-shell-completion-native-try-output-timeout))
    (python-shell-completion-native-get-completions
     (get-buffer-process (current-buffer))
     nil "_")))
          ^ this is the important bit

Thanks!
Clément.